%define gcj_support 0

# Magic to figure ooodir:
%define ooo_version %(rpm -q --qf '%%{version}' %{ooname}-java-common 2>/dev/null)
%define ooodir %{_libdir}/ooo
%define ooname openoffice.org

Name:          writer2latex
Version:       0.5.0.2
Release:       %mkrel 5
Summary:       Writer2LateX Document Converter
License:       LGPLv2
Url:           http://www.hj-gym.dk/~hj/writer2latex/
Source0:       http://www.hj-gym.dk/~hj/writer2latex/writer2latex0502.zip
Patch0:        writer2latex05.mdv.patch
BuildRequires: %{ooname}-java-common
BuildRequires: ant
BuildRequires: java-rpmbuild
Group:         Office
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-builroot
Requires:      xalan-j2, xerces-j2

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
%endif

%description
Writer2LaTeX is a utility written in java. It converts OpenOffice.org documents
in particular documents containing formulas into other formats. It is
actually a collection of four converters, i.e.:
1) Writer2LaTeX converts documents into LaTeX 2e format for high quality
   typesetting.
2) Writer2BibTeX extracts bibliographic data from a document and stores it in
   BibTeX format (works together with Writer2LaTeX).
3) Writer2xhtml converts documents into XHTML 1.0 or XHTML 1.1+MathML 2.0 with
   CSS2.
4) Calc2xhtml is a companion to Writer2xhtml that converts OOo Calc documents
   to XHTML 1.0 with CSS2 to display your spreadsheets on the web.

%package javadoc
Summary:     Javadoc for %{name}
Group:       Books/Computer books

%description javadoc
Javadoc for %{name}.

%package -n openoffice.org-%{name}
Summary:          OpenOffice.org Writer2LateX Extension
Group:            Office
Requires:         %{ooname}-common
Requires(pre):    %{ooname}-common
Requires(post):   %{ooname}-common
Requires(preun):  %{ooname}-common
Requires(postun): %{ooname}-common

%package -n openoffice.org-writer2xhtml
Summary:          OpenOffice.org Writer to xhtml Converter
Group:            Office
Requires:         %{ooname}-common
Requires(pre):    %{ooname}-common
Requires(post):   %{ooname}-common
Requires(preun):  %{ooname}-common
Requires(postun): %{ooname}-common

%description -n openoffice.org-%{name}
Document Converter Extension for OpenOffice.org to provide
XHTML, LaTeX and BibTeX export filters.

%description -n openoffice.org-writer2xhtml
Document Converter Extension for OpenOffice.org to provide
XHTML export filters.

%prep
%setup -q -n writer2latex05
%patch0 -p0 -b .mdv.patch
sed -i -e "s#LIBDIR#%{_libdir}#" build.xml

%build
%ant jar javadoc oxt -DOFFICE_HOME="%{ooodir}"

%install
rm -rf %{buildroot}
# jar
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 target/lib/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -r target/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
pushd $RPM_BUILD_ROOT%{_javadocdir}
ln -s %{name}-%{version} %{name}
popd
# OOo extensions
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/openoffice.org/extensions/writer2latex.oxt
unzip target/lib/writer2latex.oxt -d $RPM_BUILD_ROOT%{_datadir}/openoffice.org/extensions/writer2latex.oxt
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/openoffice.org/extensions/writer2xhtml.oxt
unzip target/lib/writer2xhtml.oxt -d $RPM_BUILD_ROOT%{_datadir}/openoffice.org/extensions/writer2xhtml.oxt

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf %{buildroot}

%post
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%postun
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%pre -n openoffice.org-%{name}
if [ $1 -gt 1 ]; then
    # Upgrade
    # => deregister extension with old name if it exists
    unopkg remove --shared org.openoffice.legacy.writer2latex.uno.pkg > /dev/null 2>&1 || :
    # => deregister extension with new name if it exists
    unopkg remove --shared org.openoffice.da.writer2latex.oxt > /dev/null 2>&1 || :
fi

%post -n openoffice.org-%{name}
    # register extension
    unopkg add --shared --force --link %{_datadir}/openoffice.org/extensions/writer2latex.oxt || :

%preun -n openoffice.org-%{name}
if [ $1 -eq 0 ]; then
    # not upgrading => deregister
    unopkg remove --shared org.openoffice.da.writer2latex.oxt || :
fi

%postun -n openoffice.org-%{name}
    # clear disk cache
    unopkg list --shared > /dev/null 2>&1 || :

%pre -n openoffice.org-writer2xhtml
if [ $1 -gt 1 ]; then
    # Upgrade => deregister old extension
    unopkg remove --shared org.openoffice.da.writer2xhtml.oxt || :
fi

%post -n openoffice.org-writer2xhtml
    # register extension
    unopkg add --shared --force --link %{_datadir}/openoffice.org/extensions/writer2xhtml.oxt || :

%preun -n openoffice.org-writer2xhtml
if [ $1 -eq 0 ]; then
    # not upgrading => deregister
    unopkg remove --shared org.openoffice.da.writer2xhtml.oxt || :
fi

%files
%defattr(0644,root,root,0755)
%doc COPYING.TXT Readme.txt History.txt
%{_javadir}/*
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}
%endif

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}
%{_javadocdir}/%{name}-%{version}

%files -n openoffice.org-%{name}
%defattr(0644,root,root,0755)
%{_datadir}/openoffice.org/extensions/writer2latex.oxt

%files -n openoffice.org-writer2xhtml
%defattr(0644,root,root,0755)
%{_datadir}/openoffice.org/extensions/writer2xhtml.oxt



%changelog
* Mon Oct 19 2009 Rafael da Veiga Cabral <cabral@mandriva.com> 0.5.0.2-5mdv2010.0
+ Revision: 458197
- rebuild against ooo 3.1.1

* Mon Oct 05 2009 Rafael da Veiga Cabral <cabral@mandriva.com> 0.5.0.2-4mdv2010.0
+ Revision: 454167
-properly build against ooo 3.1
-rediffs writer2latex05.mdv.patch

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Tue Apr 07 2009 Rafael da Veiga Cabral <cabral@mandriva.com> 0.5.0.2-2mdv2009.1
+ Revision: 364861
- fix for #49590 - requires for openoffice.org64 packages

* Tue Feb 03 2009 Rafael da Veiga Cabral <cabral@mandriva.com> 0.5.0.2-1mdv2009.1
+ Revision: 336950
- added java-rpmbuild build require

  + Jérôme Soyer <saispo@mandriva.org>
    - Remove noarch
    - Fix typo for GCJ support
    - Apply patch made by Rafael Cabral
      Clean up spec
      Disable GCJ compilation
      Add xhtml packages
      New upstream release 0.5.0.2

* Sun Aug 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.5-4mdv2009.0
+ Revision: 262167
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.5-3mdv2009.0
+ Revision: 256399
- rebuild

* Tue Jan 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.5-1mdv2008.1
+ Revision: 146443
- fix group

  + Jérôme Soyer <saispo@mandriva.org>
    - Fix second RPM Group
    - Fix RPM Group
    - import writer2latex

  + Anssi Hannula <anssi@mandriva.org>
    - openoffice.org-java-common is openoffice.org64-java-common on x86_64
    - add magic to set OFFICE_HOME define to OOo location
    - buildrequires java-rpmbuild and openoffice.org-java-common
    - fix to require openoffice.org-common for unopkg instead of -core
    - use macro for ant


